<!-- ============================================================== -->
<!-- Main wrapper - style you can find in pages.scss -->
<!-- ============================================================== -->
<section id="wrapper" class="login-register login-sidebar" style="background-image:url(../assets/images/background/login-register.jpg);">
  <div class="login-box card">
    <div class="card-body">
      <form  class="form-horizontal form-material" (ngSubmit)="ngRegisterUser()" [formGroup]="formRegister">
        <a href="javascript:void(0)" class="text-center db"><img src="../assets/images/logo-icon.png" alt="Home" /><br/><img src="../assets/images/logo-text.png" alt="Home" /></a>
        <h3 class="box-title m-t-40 m-b-0">Registrate Ahora</h3><small>Crea tu cuenta y disfruta</small>
        <div class="form-group m-t-20">
          <div class="col-xs-12">
            <input formControlName="name" name="name" class="form-control" type="text"  placeholder="Nombre" required>
          </div>
        </div>
        <div class="form-group" *ngIf="name.invalid && (name.dirty || name.touched)">
          <p class="text-danger" *ngIf="name.errors.required">
            Por favor ingresa Tu nombre
          </p>
        </div>
        <div class="form-group ">
          <div class="col-xs-12">
            <input formControlName="email" name="email" class="form-control" type="text"  placeholder="Email" required>
          </div>
        </div>
        <div class="form-group" *ngIf="email.invalid && (email.dirty || email.touched)">
          <p class="text-danger" *ngIf="email.errors.required">
            Por favor ingresa Tu email
          </p>
          <p class="text-danger" *ngIf="email.errors.email">
            Por favor ingresa un email valido
          </p>
        </div>
        <div class="form-group ">
          <div class="col-xs-12">
            <input formControlName="password" name="password" class="form-control" type="password" required="" placeholder="Contraseña">
          </div>
        </div>
        <div class="form-group" *ngIf="formRegister.errors?.password && !formRegister.pristine">
          <p class="text-danger">
            Por favor ingresa Tu password
          </p>
        </div>
        <div class="form-group">
          <div class="col-xs-12">
            <input formControlName="password2" name="password2" class="form-control" type="password" required="" placeholder="Confirmar Contraseña">
          </div>
        </div>
        <div class="form-group" *ngIf="formRegister.errors?.isEquals && !formRegister.pristine">
          <p class="text-danger">
           Los Password deben ser iguales
          </p>
        </div>
        <div class="form-group row">
          <div class="col-md-12">
            <div class="checkbox checkbox-primary p-t-0">
              <input formControlName="condition" name="condition" id="checkbox-signup" type="checkbox">
              <label for="checkbox-signup"> Acepta Terminos y Condiciones <a href="#">Terminos</a></label>
            </div>
          </div>
        </div>
        <div class="form-group" *ngIf="formRegister.errors?.condition && !formRegister.pristine">
          <p class="text-danger">
            Debes aceptar las condiciones
          </p>
        </div>
        <div class="form-group text-center m-t-20">
          <div class="col-xs-12">
            <button class="btn btn-info btn-lg btn-block text-uppercase waves-effect waves-light" type="submit">Registrate</button>
          </div>
        </div>
        <div class="form-group m-b-0">
          <div class="col-sm-12 text-center">
            <p>Ya Tienes Una Cuenta<a [routerLink]="['/login']" class="text-info m-l-5"><b>Inicia Sección</b></a></p>
          </div>
        </div>
      </form>
    </div>
  </div>
</section>
<!-- ============================================================== -->
<!-- End Wrapper -->
<!-- ============================================================== -->


